#version 330 core

uniform sampler2D light_accumulation;
uniform sampler2D ssao_buffer;

in vec2 uv;

layout (location = 0) out vec4 frag_color;

void main()
{
	vec4 la = texture(light_accumulation, uv);
	vec4 sb = texture(ssao_buffer, uv);
	frag_color = vec4((la.rgb + sb.rgb)*sb.a, 1.0);
	//frag_color = vec4(sb.rgb, 1.0);
	//frag_color = vec4(sb.aaa, 1.0);
	//frag_color = vec4(sb.rgb*sb.a, 1.0);
}
